#ifndef TIMER_HPP
#define TIMER_HPP

#pragma comment(lib , "winmm.lib")

namespace mof{


class Timer{
	int m_lastTime;
	int m_pastTime;
	bool m_counting;
	static bool initialized;
public:
	Timer();

	void reset();///< 内部計時カウントを0にする
	void start();///< 中断していた計時を再開する
	void pause();///< 計時を一時中断する
	int getTime() const;
	static unsigned long getSystemTime();

};

}

#endif
